
QGIS Application - Bug report #14062

Expressions using commas as decimal seperator fail to evaluate

2016-01-06 10:19 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.12.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22072

Description

In symbol properties (and elsewhere in QGIS), you can put a calculation expression in a spinbox instead of typing a value.

This only works if the point character (.) is the decimal separator.

In my (localization related?) settings, the comma character (,) is used as decimal separator and an expression like 0,2 * 3 doesn't work

while the 0.2 * 3 works and returns 0,6

Isn't it weird to have a value with the comma displayed in the spinbox, interpreted as a numeric value (e.g returning a size) but failing to be

used in calculation?

History

#1 - 2016-01-06 10:22 AM - Harrissou Santanna

Oups, miss a title.  Can be something like "Comma separated value not allowed in spinbox calculation"

#2 - 2016-01-06 11:18 AM - Nyall Dawson

- Subject changed from Allow  to Decimals with commas fail to evaluate in spin boxes

- Status changed from Open to Feedback

The spin boxes calculations use the same expression engine as field calculator. Can you test if the expressions with commas work ok in field calculator?

#3 - 2016-01-06 02:08 PM - Harrissou Santanna

It fails. Tested with: 0,8 * 3.

In the field calculator, I get an "Expression is invalid" at the bottom of the dialog and the "more infomation" links shows:

Parser Error:

syntax error, unexpected COMMA, expecting $end

Eval Error:

No root node! Parsing failed?

And same message in the calculator bar of the attribute table. note that the expression becomes red as soon as the comma is typed.

Note also that when I simply type 0,8 in a spinbox, it becomes 0.8 as soon as i leave the field.
#4 - 2016-01-06 06:03 PM - Nyall Dawson

- Subject changed from Decimals with commas fail to evaluate in spin boxes to Expressions using commas as decimal seperator fail to evaluate

#5 - 2016-01-06 06:03 PM - Nyall Dawson

- Category changed from Edit widget to Expressions

#6 - 2016-04-09 11:57 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
